Bug 1299580 - Review Request: python-grafyaml - Tools to make Grafana dashboards from templates
Review Request: python-grafyaml - Tools to make Grafana dashboards from templ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
: 1299594 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 11:50 EST by Paul Belanger
Modified: 2016-02-04 11:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 10:23:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Paul Belanger 2016-01-18 11:50:31 EST
Spec URL: http://pabelanger.fedorapeople.org//python-grafyaml.spec
SRPM URL: http://pabelanger.fedorapeople.org//python-grafyaml-0.0.5-1.fc24.src.rpm

Description:
Grafyaml takes simple descriptions of Grafana dashboards in YAML format, and
uses them to configure Grafana.
Comment 1 Paul Belanger 2016-01-18 11:51:59 EST
So, I posted this using fedora-create-review but sadly, I could not get koji scratch build to work.
Comment 2 Upstream Release Monitoring 2016-01-18 11:55:09 EST
pabelanger's scratch build of python-grafyaml-0.0.5-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12593864
Comment 3 Paul Belanger 2016-01-18 12:24:34 EST
Oh, how odd. I guess scratch builds did work. It gave me an error first time around.
Comment 4 Paul Belanger 2016-01-18 12:31:50 EST
*** Bug 1299594 has been marked as a duplicate of this bug. ***
Comment 5 Haïkel Guémar 2016-02-02 18:33:15 EST
Small fix required before import, doc subpackage can be installed without its license file.
Please add it.

I hereby approve this package into Fedora Packages Collection, please submit a SCM request in PkgDB.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 6 files have unknown license. Detailed output of licensecheck
     in /home/haikel/1299580-python-grafyaml/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-grafyaml , python3-grafyaml , python-grafyaml-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-grafyaml-0.0.5-1.fc24.noarch.rpm
          python3-grafyaml-0.0.5-1.fc24.noarch.rpm
          python-grafyaml-doc-0.0.5-1.fc24.noarch.rpm
          python-grafyaml-0.0.5-1.fc24.src.rpm
python2-grafyaml.noarch: W: no-manual-page-for-binary grafana-dashboard
python3-grafyaml.noarch: W: no-manual-page-for-binary grafana-dashboard
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-grafyaml.noarch: W: no-manual-page-for-binary grafana-dashboard
python2-grafyaml.noarch: W: no-manual-page-for-binary grafana-dashboard
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-grafyaml (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-dogpile-cache
    python3-pbr
    python3-requests
    python3-slugify
    python3-voluptuous
    python3-yaml

python-grafyaml-doc (rpmlib, GLIBC filtered):

python2-grafyaml (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python-dogpile-cache
    python2-pbr
    python2-requests
    python2-slugify
    python2-voluptuous
    python2-yaml



Provides
--------
python3-grafyaml:
    python3-grafyaml

python-grafyaml-doc:
    python-grafyaml-doc

python2-grafyaml:
    python-grafyaml
    python2-grafyaml



Source checksums
----------------
http://pypi.python.org/packages/source/g/grafyaml/grafyaml-0.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 1f2f04fc6a26fd46f037aca4777129155f5815dd3d04f40968f9bb267c5949e4
  CHECKSUM(SHA256) upstream package : 1f2f04fc6a26fd46f037aca4777129155f5815dd3d04f40968f9bb267c5949e4


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1299580 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Gwyn Ciesla 2016-02-03 08:21:53 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-grafyaml
Comment 7 Paul Belanger 2016-02-03 08:52:47 EST
Great, thanks everybody for the help.
Comment 8 Paul Belanger 2016-02-04 10:23:08 EST
Thanks, I've added the code to pkgdb and push into rawhide. Thanks again for all the help.
Comment 9 Paul Belanger 2016-02-04 10:34:30 EST
Ah, thanks. I seem to always miss that.

Aside from manually close the issue, do bug numbers in commit message not work for rawhide?
Comment 10 Zbigniew Jędrzejewski-Szmek 2016-02-04 11:02:35 EST
Issues can be closed automatically only be updates. So bug numbers don't work for rawhide because there are no updates.

Note You need to log in before you can comment on or make changes to this bug.